#
# spec file for package btar
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           btar
Version:        1.1.1
Release:        2.16
Summary:        Featureful tar-Compatible Archiver and Compressor
License:        GPL-3.0-or-later
Group:          Productivity/Archiving/Backup
URL:            http://freecode.com/projects/btar
Source:         http://vicerveza.homeunix.net/~viric/soft/btar/btar-%{version}.tar.gz
# pbleser: fix various things about the Makefile, such as proper place of LFLAGS,
# overridable OPTFLAGS, DESTDIR support
Patch1:         btar-makefile.patch
Patch2:         btar-librsync.patch
BuildRequires:  librsync-devel

%description
btar is a tar-compatible archiver which allows arbitrary compression and
ciphering, redundancy, differential backup, indexed extraction, multicore
compression, input and output serialisation, and tolerance to partial
archive errors.

%prep
%autosetup -p1

%build
%make_build OPTFLAGS="%{optflags} -fcommon -D_GNU_SOURCE" \

%install
%make_install PREFIX="%{_prefix}"

%files
%license COPYING
%doc AUTHORS doc/*
%{_bindir}/btar
%{_mandir}/man1/btar.1%{?ext_man}

%changelog
* Mon Jun 15 2020 Martin Pluskal <mpluskal@suse.com>
- Fix building with gcc10
* Sat Jun 10 2017 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Add btar-librsync.patch to fix building with librsync >= 1.0.0
* Tue Jul 31 2012 pascal.bleser@opensuse.org
- update to 1.1.1:
  * fixing a fd leak to filters: that broke often the parallelism of "-jN"
* Mon Jul 30 2012 pascal.bleser@opensuse.org
- update to 1.1:
  * adding the -m capability to change the filters of a given btar file
  * performance improvements (string manipulation)
  * adding -U, to filter only the index/deleted
  * fixing -H so, in case of extracting specific paths, it only attmepts to
    delete files complying the pattern
- changes from 1.0.0:
  * adding a manual page
  * store of the files deleted into differential archives
* Fri Mar 30 2012 pascal.bleser@opensuse.org
- update to 0.9.2:
  * fixing a bug extracting files over 8.5GB
  * fixing a bug extracting about leaking fds
* Sun Dec 11 2011 pascal.bleser@opensuse.org
- update to 0.9.1:
  * added headers for it to build in platforms other than Linux
  * fixing troubles with long file names when 'tar c | btar'
  * avoid storing directories where no files changed, in differential archives
* Sat Dec 10 2011 pascal.bleser@opensuse.org
- initial version (0.9)
